<template>
  <CRow>
    <CCol col="12" lg="6">
      <CCard>
        <CCardHeader>
          Utilisateur:  {{ $route.params.id }}
        </CCardHeader>

        <CCardFooter>
          <CButton color="primary" @click="goBack">Retour</CButton>
          <CButton style="float:right" color="danger" @click="modal = true">Supprimer</CButton>
        </CCardFooter>
      </CCard>
    </CCol>

    <CModal :show.sync="modal"
        :no-close-on-backdrop="true"
        :centered="true"
        title="Modal title 2"
        size="xl"
        color="danger"
>

    <template #header>
        <h6 class="modal-title">Supprimer l'utilisateur</h6>
        <CButtonClose @click="modal = false" class="text-white"/>
    </template>

    Êtes-vous sûr de vouloir supprimer l'utilisateur {{ $route.params.id }} ?
    <template #footer>
        <CButton @click="modal = false" >Annuler</CButton>
        <CButton @click="deleteUser()" color="danger">Supprimer</CButton>
    </template>
</CModal>
  </CRow>
</template>



<script>
import usersData from './UsersData'
import swal from "sweetalert";
export default {
  name: 'User',
  beforeRouteEnter(to, from, next) {
    next(vm => {
      vm.usersOpened = from.fullPath.includes('users')
    })
  },
  data () {
    return {
      usersOpened: null,
      users: null,
      user:null,
      modal:false
    }
  },
  computed: {
    fields () {
      return [
        { key: 'key', label: this.username, _style: 'width:150px'},
        { key: 'value', label: '', _style: 'width:150px;' }
      ]
    },
    
   
    visibleData () {
      return this.userData.filter(param => param.key !== 'username')
    },
    username () {
      return this.userData.filter(param => param.key === 'username')[0].value
    }
  },
  methods: {
    goBack() {
      this.usersOpened ? this.$router.go(-1) : this.$router.push({path: '/users'})
    },
   async getAllUsers() {
      await this.$http.get("/api/users/getAllUsers")
        .then(response => {
            if (response.status === 200) {
                this.users = response.data
            }
      })
    },
    userData () {
      const id = this.$route.params.id
      this.user  = this.users.findIndex(x => x._id === id);
      console.log(this.users[id])

    },
    async deleteUser(){
        console.log(this.selectedSalle)
        await this.$http.post("/api/users/deleteUserById", {id: this.$route.params.id})
            .then(response => {
                if (response.status === 201) {
                    //this.salles = response.data
                    this.modal = false
                    swal("Succès", response.data.msg, "success");
                }
            })
    },
  },
  beforeMount(){
    this.getAllUsers();
  }
}
</script>
